
%define glib2_version           2.31.16
%define dbus_version		1.4.16

%define lib_major 2
%define lib_api 1
%define lib_name %mklibname dbus-glib- %{lib_api} %{lib_major}

%define git_url git://git.freedesktop.org/git/dbus/dbus-glib

Summary: D-Bus message bus
Summary(de): D-Bus Nachrichten Bus
Name: dbus-glib
Version: 0.112
Release: %mkrel 2
URL: http://www.freedesktop.org/Software/dbus
Source0: http://dbus.freedesktop.org/releases/%name/%{name}-%{version}.tar.xz
License: AFL and GPLv2
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#--------------------------------------
BuildRequires: libxml2-devel
BuildRequires: gtk-doc
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}glib2.0_0-devel
#--------------------------------------
Obsoletes:	%name < %version

%description 
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.
#german
%description -l de
D-Bus-Addon-Bibliothek, die Standard-D-Bus-Bibliothek mit integrieren
GLib Abstraktion und Hauptschleife.

%package -n %{lib_name}
Summary: GLib-based library for using D-Bus
Summary(de): Glib basierend Bibliothek zum nutzen des D-Bus
Group: System/Libraries
Provides: dbus-glib = %{version}-%{release}
Provides: libdbus-glib = %{version}-%{release}

%description -n %{lib_name}
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.
#german
%description -n %{lib_name} -l de
D-Bus-Addon-Bibliothek, die Standard-D-Bus-Bibliothek mit integrieren
GLib Abstraktion und Hauptschleife.

%package -n %{lib_name}-devel
Summary: Libraries and headers for D-Bus
Summary(de): Bibliotheken und Headers für D-Bus
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: lib%{name}-1-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Headers and static libraries for D-Bus.
#german
%description -n %{lib_name}-devel -l de
%{summary}.

%prep
%setup -q

%build
%configure2_5x  --disable-static \
    --disable-tests \
    --disable-verbose-mode \
    --disable-asserts

%make


%install
rm -rf %{buildroot}

%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

chrpath --delete %{buildroot}%{_bindir}/dbus-binding-tool
chrpath --delete %{buildroot}%{_libexecdir}/dbus-bash-completion-helper

# Scripts that are sourced should not be executable.
chmod -x %{buildroot}%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*glib*.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/dbus-binding-tool
%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh
%{_libexecdir}/dbus-bash-completion-helper
%{_libdir}/libdbus-glib-%{lib_api}.so
%{_libdir}/pkgconfig/dbus-glib-%{lib_api}.pc
%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h
%{_includedir}/dbus-1.0/dbus/dbus-glib.h
%{_datadir}/gtk-doc/html/dbus-glib/
%{_mandir}/man1/*
%{_includedir}/dbus-1.0/dbus/dbus-gvalue-parse-variant.h

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Sep 27 2022 tex - 0.112-2pclos2022
- rebuild against updates

* Sun Jun 06 2021 tex - 0.112-1pclos2021
- new version

* Thu Mar 05 2020 tex - 0.110-2pclos2020
- rebuild against updates

* Sat Feb 17 2018 bb2 <bb2> - 0.110-1pclos2018
- new version

* Thu Jan 26 2016 bb <bb> 0.106-1pclos2016
- update

* Sun Jun 21 2015 bb <bb> 0.104-1pclos2015
- update

* Sun Feb 16 2014 bb <bb> 0.102-1pclos2014
- update


